org.apache.solr.spelling

## Class SpellingOptions

- java.lang.Object
- - org.apache.solr.spelling.SpellingOptions

-     public class SpellingOptions
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float` | `accuracy` Optionally restrict the results to have a minimum accuracy level.
    `int` | `alternativeTermCount`
    `int` | `count` The number of suggestions to return, if there are any.
    `SolrParams` | `customParams` Any other custom params can be passed through.
    `boolean` | `extendedResults` Provide additional, per implementation, information about the results
    `IndexReader` | `reader` An optional `IndexReader`
    `SuggestMode` | `suggestMode`
    `Collection<Token>` | `tokens` The tokens to spell check

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpellingOptions()`
    `SpellingOptions(Collection<Token> tokens, IndexReader reader)`
    `SpellingOptions(Collection<Token> tokens, IndexReader reader, int count)`
    `SpellingOptions(Collection<Token> tokens, IndexReader reader, int count, int alternativeTermCount, SuggestMode suggestMode, boolean extendedResults, float accuracy, SolrParams customParams)`
    `SpellingOptions(Collection<Token> tokens, IndexReader reader, int count, SuggestMode suggestMode, boolean extendedResults, float accuracy, SolrParams customParams)`
    `SpellingOptions(Collection<Token> tokens, int count)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tokens

          public Collection<Token> tokens

      The tokens to spell check

    - #### reader

          public IndexReader reader

      An optional `IndexReader`

    - #### count

          public int count

      The number of suggestions to return, if there are any. Defaults to 1.

    - #### alternativeTermCount

          public int alternativeTermCount

    - #### suggestMode

          public SuggestMode suggestMode

    - #### extendedResults

          public boolean extendedResults

      Provide additional, per implementation, information about the results

    - #### accuracy

          public float accuracy

      Optionally restrict the results to have a minimum accuracy level. Per Implementation. By default set to Float.MIN_VALUE.

    - #### customParams

          public SolrParams customParams

      Any other custom params can be passed through. May be null and is null by default.

  - ### Constructor Detail

    - #### SpellingOptions

          public SpellingOptions()

    - #### SpellingOptions

          public SpellingOptions(Collection<Token> tokens,
                                 int count)

    - #### SpellingOptions

          public SpellingOptions(Collection<Token> tokens,
                                 IndexReader reader)

    - #### SpellingOptions

          public SpellingOptions(Collection<Token> tokens,
                                 IndexReader reader,
                                 int count)

    - #### SpellingOptions

          public SpellingOptions(Collection<Token> tokens,
                                 IndexReader reader,
                                 int count,
                                 SuggestMode suggestMode,
                                 boolean extendedResults,
                                 float accuracy,
                                 SolrParams customParams)

    - #### SpellingOptions

          public SpellingOptions(Collection<Token> tokens,
                                 IndexReader reader,
                                 int count,
                                 int alternativeTermCount,
                                 SuggestMode suggestMode,
                                 boolean extendedResults,
                                 float accuracy,
                                 SolrParams customParams)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.